GuideLab API

Cancel Checkout Order Payment

Cancel or reconcile the authenticated clinic's active upfront order payment before unlocking its prepared draft.

POST
/checkout/cancel-order-payment

Cancel or reconcile the authenticated clinic's active upfront order payment before unlocking its prepared draft.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/checkout/cancel-order-payment" \  -H "Content-Type: application/json" \  -d '{    "labId": "string",    "draftOrderId": "string"  }'
{  "unlocked": true,  "convertedOrderId": "string",  "paymentIntentId": "string"}
Empty
Empty